const system=require("../../../system");
const settings=require("../../../../config/settings");
const uiconfig=system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("recruithis", {
    recruit_id: DataTypes.INTEGER,
    recruit_name: DataTypes.STRING(50),
    recruit_type: DataTypes.STRING(50),
    recruit_count: DataTypes.INTEGER,
    pay_type: DataTypes.INTEGER,
    pay_name: DataTypes.STRING(50),
    pay_unit: DataTypes.BIGINT,
    work_duration: DataTypes.INTEGER,
    basic_salary: DataTypes.BIGINT,
    compre_salary: DataTypes.BIGINT,
    rfee_type: DataTypes.INTEGER,
    rfee_unit: DataTypes.BIGINT,
    rfee_duration: DataTypes.STRING(50),
    rfee_time: DataTypes.STRING(50),
    age_range: DataTypes.STRING(50),
    work_address: DataTypes.STRING(200),
    publish_date: DataTypes.DATE,
    end_date: DataTypes.DATE,
    pic_path: DataTypes.STRING(200),
    recrui_require: DataTypes.STRING,
    phone_no: DataTypes.STRING(20),
    counter_mark: DataTypes.STRING(100),
    user_id: DataTypes.INTEGER,
    cur_type: DataTypes.INTEGER,
    cur_status: DataTypes.STRING(16),
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
      tableName: 'recruit_info_his',
     validate: {

     },
     indexes:[
       // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
         //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
         //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
         //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
     ]
  });
}
